package de.hhhammer.chatrelay;

import net.dv8tion.jda.api.entities.channel.concrete.TextChannel;

public class DiscordMessageChannel {
    private final TextChannel textChannel;

    public DiscordMessageChannel(TextChannel textChannel) {
        this.textChannel = textChannel;
    }

    public void send(String msq) {
        textChannel.sendMessage(msq).queue();
    }

    public void sendPlayerEvent(String name, String msg) {
        send("**" + name + "**: " + msg);
    }

    public void sendServerEvent(String msg) {
        send("_Server_: " + msg);
    }
}
