# ChatRelay

Connect your Discord chat with your Minecraft server.

_Works only on SpigotMC/PaperMC server!_

## Installation

The plugin currently only supports configuration on build time. That means, that
you have to build this plugin your self with your tokens.

**Requirements:**

- Java 19+
- [Discord Bot Token](https://javacord.org/wiki/getting-started/creating-a-bot-account.html)
- ID of your server
- ID of the channel on the server

_To obtain the IDs from Discord, activate the Developer-Mode inside the settings
**App settings -> Advanced -> Developer Mode**. You will now have the option if
you right-click on elements, to copy the ID of that element._

Insert your token and ids inside the
`src/main/java/de/hhhammer/chatrelay/ChatRelay.java`.

We need to build the plugin after adding them.

Linux:

```shell
./mvnw package
```

Windows:

```shell
mvnw.cmd package
```

This will produce a file inside the `target` directory. You can now take the
`.jar` file that doesn't start with `original-` and put it in the `plugins`
directory of your Server.

## LICENSE

The software is licensed under the [MPL-2.0](LICENSE) license.
